Author Topic: Installing PHP 5.6  (Read 309 times)

Offline PeterP

  • Newbie
  • *
  • Posts: 5
Installing PHP 5.6
« on: April 26, 2017, 07:07:57 pm »
Not sure if this is the right forum for this, but here goes anyway: I'd like to install PHP V5.6 on Sparky. However, when I use the command

      apt-get install php5.6

I get messages about packages no longer required, and finally

     0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded

Any thoughts about how to proceed?

Offline paxmark1

  • Sr. Member
  • ****
  • Posts: 297
Re: Installing PHP 5.6
« Reply #1 on: April 26, 2017, 11:48:46 pm »
I am unfamiliar with php.  However it appears that php7 is the offered one in Debian Testing. php is at 5.6 in Debian stable  Sparky takes Testing and adds non-free components automatically and offers some tested selected ppa's that play well with Debian.  Testing is also named Stretch at this time.  Debian Stable is also named Jessie at this time. 

See in the Debian wiki the php page https://wiki.debian.org/PHP#Debian_Stretch_and_up
Don't make a FrankenDebian

Offline PeterP

  • Newbie
  • *
  • Posts: 5
Re: Installing PHP 5.6
« Reply #2 on: April 28, 2017, 02:25:46 pm »
Thanks for this - looks like a promising lead.

Regards

PeterP